> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/products/post-methods/business-rules/available-prices-attributes-combinations-to-set-prices.md).

# Available prices attributes combinations to set prices

Let us brief a table with a summary of the available prices attributes combinations to set a product’s price(s). When updating product’s prices, you need to enforce the available attributes combinations.\
Choosing the correct combination will depend on the type of account you have configured in Alephee and how it is configured.\
Any other combination of price’s attributes is invalid and will return a validation error.

| Price attributes combination                                                          | Impact on the product’s prices                                                                                                                                                                                     | Remarks                        |
| ------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------ |
| Price attributes combination                                                          | <p>Impact on the product’s prices</p><p> </p>                                                                                                                                                                      | Remarks                        |
| <p>Cost</p><p>&</p><p>Price</p><p>(without taxes)</p>                                 | <p>Will set the product’s cost and price without taxes.</p><p> </p><p>Also, Alephee automatically will set the price with taxes (using the current product’s TAX value).</p><p> </p>                               | 2 attributes at the same time. |
| <p>Cost</p><p>&</p><p>PriceWithTaxes</p>                                              | <p>Will set the product’s cost and price with taxes.</p><p> </p><p>Also, Alephee automatically will set the price without taxes (using the current product’s TAX value).</p><p> </p>                               | 2 attributes at the same time. |
| <p>Cost</p><p>&</p><p>SuggestedRetailPrice</p>                                        | <p>Will set the product’s cost and the suggested retail price.</p><p> </p>                                                                                                                                         | 2 attributes at the same time. |
| Cost                                                                                  | <p>Will set the product’s cost.</p><p> </p><p> </p>                                                                                                                                                                |                                |
| <p>Price</p><p>(without taxes)</p><p>&</p><p>SuggestedRetailPrice</p>                 | <p>Will set the product’s price without taxes and the suggested retail price.</p><p> </p><p>Also, Alephee automatically will set the price with taxes (using the current product’s TAX value).</p><p> </p><p> </p> | 2 attributes at the same time. |
| <p>PriceWithTaxes</p><p>&</p><p>SuggestedRetailPrice</p>                              | <p>Will set the product’s price with taxes and the suggested retail price.</p><p> </p><p>Also, Alephee automatically will set the price without taxes (using the current product’s TAX value).</p><p> </p>         | 2 attributes at the same time. |
| <p>Price</p><p>(without taxes)</p><p> </p>                                            | <p>Will set the product’s price without taxes.</p><p> </p><p>Also, Alephee automatically will set the price with taxes (using the current product’s TAX value).</p><p> </p>                                        |                                |
| <p>PriceWithTaxes</p><p> </p>                                                         | <p>Will set the product’s price with taxes.</p><p> </p><p>Also, Alephee automatically will set the price without taxes (using the current product’s TAX value).</p><p> </p>                                        |                                |
| SuggestedRetailPrice                                                                  | <p>Will set the product’s suggested retail price.</p><p> </p>                                                                                                                                                      |                                |
| <p>Cost<br>&</p><p>PriceWithTaxes</p><p>&</p><p>SuggestedRetailPrice</p>              | <p>Will set the product’s cost, price with taxes and the suggested retail price.</p><p> </p><p>Also, Alephee automatically will set the price without taxes (using the current product’s TAX value).</p><p> </p>   | 3 attributes at the same time. |
| <p>Cost<br>&</p><p>Price</p><p>(without taxes)</p><p>&</p><p>SuggestedRetailPrice</p> | <p>Will set the product’s cost, price without taxes and the suggested retail price.</p><p> </p><p>Also, Alephee automatically will set the price with taxes (using the current product’s TAX value).</p><p> </p>   | 3 attributes at the same time. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/products/post-methods/business-rules/available-prices-attributes-combinations-to-set-prices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
